Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEBlockCipher.PBEWithSHAAnd40BitRC2

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi
              org.bouncycastle.jce.provider.JCEBlockCipher
                  org.bouncycastle.jce.provider.JCEBlockCipher.PBEWithSHAAnd40BitRC2

All Implemented Interfaces:
  PBE

Enclosing class:
  JCEBlockCipher

public static class JCEBlockCipher.PBEWithSHAAnd40BitRC2
extends JCEBlockCipher

PBEWithSHAAnd40BitRC2-CBC

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JCEBlockCipher
`JCEBlockCipher.AES, JCEBlockCipher.AESCBC, JCEBlockCipher.AESCFB, JCEBlockCipher.AESOFB, JCEBlockCipher.Blowfish, JCEBlockCipher.CAST5, JCEBlockCipher.CAST5CBC, JCEBlockCipher.CAST6, JCEBlockCipher.DES, JCEBlockCipher.DESCBC, JCEBlockCipher.DESede, JCEBlockCipher.DESedeCBC, JCEBlockCipher.GOST28147, JCEBlockCipher.GOST28147cbc, JCEBlockCipher.IDEA, JCEBlockCipher.IDEACBC, JCEBlockCipher.PBEWithAESCBC, JCEBlockCipher.PBEWithMD5AndDES, JCEBlockCipher.PBEWithMD5AndRC2, JCEBlockCipher.PBEWithSHA1AndDES, JCEBlockCipher.PBEWithSHA1AndRC2, JCEBlockCipher.PBEWithSHAAnd128BitRC2, JCEBlockCipher.PBEWithSHAAnd40BitRC2, JCEBlockCipher.PBEWithSHAAndDES2Key, JCEBlockCipher.PBEWithSHAAndDES3Key, JCEBlockCipher.PBEWithSHAAndIDEA, JCEBlockCipher.PBEWithSHAAndTwofish, JCEBlockCipher.RC2, JCEBlockCipher.RC2CBC, JCEBlockCipher.RC5, JCEBlockCipher.RC564, JCEBlockCipher.RC6, JCEBlockCipher.Rijndael, JCEBlockCipher.Serpent, JCEBlockCipher.Skipjack, JCEBlockCipher.Twofish`

Nested classes inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.AESWrap, WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap`

Nested classes inherited from class org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`JCEBlockCipher.PBEWithSHAAnd40BitRC2()`

Methods inherited from class org.bouncycastle.jce.provider.JCEBlockCipher
`engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate`

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineUnwrap, engineWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEBlockCipher.PBEWithSHAAnd40BitRC2

    public JCEBlockCipher.PBEWithSHAAnd40BitRC2()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD